// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: accelfin-server-demo-analytics.proto

package com.accelfin.server.demo.analytics.dtos;

/**
 * Protobuf type {@code com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionRequestDto}
 */
public  final class UpdateReportSubscriptionRequestDto extends
    com.google.protobuf.GeneratedMessage implements
    // @@protoc_insertion_point(message_implements:com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionRequestDto)
    UpdateReportSubscriptionRequestDtoOrBuilder {
  // Use UpdateReportSubscriptionRequestDto.newBuilder() to construct.
  private UpdateReportSubscriptionRequestDto(com.google.protobuf.GeneratedMessage.Builder<?> builder) {
    super(builder);
  }
  private UpdateReportSubscriptionRequestDto() {
    reports_ = java.util.Collections.emptyList();
  }

  @java.lang.Override
  public final com.google.protobuf.UnknownFieldSet
  getUnknownFields() {
    return com.google.protobuf.UnknownFieldSet.getDefaultInstance();
  }
  private UpdateReportSubscriptionRequestDto(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    this();
    int mutable_bitField0_ = 0;
    try {
      boolean done = false;
      while (!done) {
        int tag = input.readTag();
        switch (tag) {
          case 0:
            done = true;
            break;
          default: {
            if (!input.skipField(tag)) {
              done = true;
            }
            break;
          }
          case 10: {
            if (!((mutable_bitField0_ & 0x00000001) == 0x00000001)) {
              reports_ = new java.util.ArrayList<com.accelfin.server.messaging.dtos.AnyDto>();
              mutable_bitField0_ |= 0x00000001;
            }
            reports_.add(input.readMessage(com.accelfin.server.messaging.dtos.AnyDto.parser(), extensionRegistry));
            break;
          }
        }
      }
    } catch (com.google.protobuf.InvalidProtocolBufferException e) {
      throw e.setUnfinishedMessage(this);
    } catch (java.io.IOException e) {
      throw new com.google.protobuf.InvalidProtocolBufferException(
          e).setUnfinishedMessage(this);
    } finally {
      if (((mutable_bitField0_ & 0x00000001) == 0x00000001)) {
        reports_ = java.util.Collections.unmodifiableList(reports_);
      }
      makeExtensionsImmutable();
    }
  }
  public static final com.google.protobuf.Descriptors.Descriptor
      getDescriptor() {
    return com.accelfin.server.demo.analytics.dtos.AccelfinServerDemoAnalytics.internal_static_com_accelfin_server_demo_analytics_dtos_UpdateReportSubscriptionRequestDto_descriptor;
  }

  protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internalGetFieldAccessorTable() {
    return com.accelfin.server.demo.analytics.dtos.AccelfinServerDemoAnalytics.internal_static_com_accelfin_server_demo_analytics_dtos_UpdateReportSubscriptionRequestDto_fieldAccessorTable
        .ensureFieldAccessorsInitialized(
            com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionRequestDto.class, com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionRequestDto.Builder.class);
  }

  public static final int REPORTS_FIELD_NUMBER = 1;
  private java.util.List<com.accelfin.server.messaging.dtos.AnyDto> reports_;
  /**
   * <pre>
   * we need to use AnyDto here as we've can't have an array of mixed types
   * </pre>
   *
   * <code>repeated .com.accelfin.server.messaging.dtos.AnyDto reports = 1;</code>
   */
  public java.util.List<com.accelfin.server.messaging.dtos.AnyDto> getReportsList() {
    return reports_;
  }
  /**
   * <pre>
   * we need to use AnyDto here as we've can't have an array of mixed types
   * </pre>
   *
   * <code>repeated .com.accelfin.server.messaging.dtos.AnyDto reports = 1;</code>
   */
  public java.util.List<? extends com.accelfin.server.messaging.dtos.AnyDtoOrBuilder> 
      getReportsOrBuilderList() {
    return reports_;
  }
  /**
   * <pre>
   * we need to use AnyDto here as we've can't have an array of mixed types
   * </pre>
   *
   * <code>repeated .com.accelfin.server.messaging.dtos.AnyDto reports = 1;</code>
   */
  public int getReportsCount() {
    return reports_.size();
  }
  /**
   * <pre>
   * we need to use AnyDto here as we've can't have an array of mixed types
   * </pre>
   *
   * <code>repeated .com.accelfin.server.messaging.dtos.AnyDto reports = 1;</code>
   */
  public com.accelfin.server.messaging.dtos.AnyDto getReports(int index) {
    return reports_.get(index);
  }
  /**
   * <pre>
   * we need to use AnyDto here as we've can't have an array of mixed types
   * </pre>
   *
   * <code>repeated .com.accelfin.server.messaging.dtos.AnyDto reports = 1;</code>
   */
  public com.accelfin.server.messaging.dtos.AnyDtoOrBuilder getReportsOrBuilder(
      int index) {
    return reports_.get(index);
  }

  private byte memoizedIsInitialized = -1;
  public final boolean isInitialized() {
    byte isInitialized = memoizedIsInitialized;
    if (isInitialized == 1) return true;
    if (isInitialized == 0) return false;

    memoizedIsInitialized = 1;
    return true;
  }

  public void writeTo(com.google.protobuf.CodedOutputStream output)
                      throws java.io.IOException {
    for (int i = 0; i < reports_.size(); i++) {
      output.writeMessage(1, reports_.get(i));
    }
  }

  public int getSerializedSize() {
    int size = memoizedSize;
    if (size != -1) return size;

    size = 0;
    for (int i = 0; i < reports_.size(); i++) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(1, reports_.get(i));
    }
    memoizedSize = size;
    return size;
  }

  private static final long serialVersionUID = 0L;
  public static com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionRequestDto parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionRequestDto parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionRequestDto parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionRequestDto parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionRequestDto parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseWithIOException(PARSER, input);
  }
  public static com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionRequestDto parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseWithIOException(PARSER, input, extensionRegistry);
  }
  public static com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionRequestDto parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseDelimitedWithIOException(PARSER, input);
  }
  public static com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionRequestDto parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
  }
  public static com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionRequestDto parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseWithIOException(PARSER, input);
  }
  public static com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionRequestDto parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseWithIOException(PARSER, input, extensionRegistry);
  }

  public Builder newBuilderForType() { return newBuilder(); }
  public static Builder newBuilder() {
    return DEFAULT_INSTANCE.toBuilder();
  }
  public static Builder newBuilder(com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionRequestDto prototype) {
    return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
  }
  public Builder toBuilder() {
    return this == DEFAULT_INSTANCE
        ? new Builder() : new Builder().mergeFrom(this);
  }

  @java.lang.Override
  protected Builder newBuilderForType(
      com.google.protobuf.GeneratedMessage.BuilderParent parent) {
    Builder builder = new Builder(parent);
    return builder;
  }
  /**
   * Protobuf type {@code com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionRequestDto}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessage.Builder<Builder> implements
      // @@protoc_insertion_point(builder_implements:com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionRequestDto)
      com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionRequestDtoOrBuilder {
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return com.accelfin.server.demo.analytics.dtos.AccelfinServerDemoAnalytics.internal_static_com_accelfin_server_demo_analytics_dtos_UpdateReportSubscriptionRequestDto_descriptor;
    }

    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return com.accelfin.server.demo.analytics.dtos.AccelfinServerDemoAnalytics.internal_static_com_accelfin_server_demo_analytics_dtos_UpdateReportSubscriptionRequestDto_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionRequestDto.class, com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionRequestDto.Builder.class);
    }

    // Construct using com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionRequestDto.newBuilder()
    private Builder() {
      maybeForceBuilderInitialization();
    }

    private Builder(
        com.google.protobuf.GeneratedMessage.BuilderParent parent) {
      super(parent);
      maybeForceBuilderInitialization();
    }
    private void maybeForceBuilderInitialization() {
      if (com.google.protobuf.GeneratedMessage.alwaysUseFieldBuilders) {
        getReportsFieldBuilder();
      }
    }
    public Builder clear() {
      super.clear();
      if (reportsBuilder_ == null) {
        reports_ = java.util.Collections.emptyList();
        bitField0_ = (bitField0_ & ~0x00000001);
      } else {
        reportsBuilder_.clear();
      }
      return this;
    }

    public com.google.protobuf.Descriptors.Descriptor
        getDescriptorForType() {
      return com.accelfin.server.demo.analytics.dtos.AccelfinServerDemoAnalytics.internal_static_com_accelfin_server_demo_analytics_dtos_UpdateReportSubscriptionRequestDto_descriptor;
    }

    public com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionRequestDto getDefaultInstanceForType() {
      return com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionRequestDto.getDefaultInstance();
    }

    public com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionRequestDto build() {
      com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionRequestDto result = buildPartial();
      if (!result.isInitialized()) {
        throw newUninitializedMessageException(result);
      }
      return result;
    }

    public com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionRequestDto buildPartial() {
      com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionRequestDto result = new com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionRequestDto(this);
      int from_bitField0_ = bitField0_;
      if (reportsBuilder_ == null) {
        if (((bitField0_ & 0x00000001) == 0x00000001)) {
          reports_ = java.util.Collections.unmodifiableList(reports_);
          bitField0_ = (bitField0_ & ~0x00000001);
        }
        result.reports_ = reports_;
      } else {
        result.reports_ = reportsBuilder_.build();
      }
      onBuilt();
      return result;
    }

    public Builder mergeFrom(com.google.protobuf.Message other) {
      if (other instanceof com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionRequestDto) {
        return mergeFrom((com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionRequestDto)other);
      } else {
        super.mergeFrom(other);
        return this;
      }
    }

    public Builder mergeFrom(com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionRequestDto other) {
      if (other == com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionRequestDto.getDefaultInstance()) return this;
      if (reportsBuilder_ == null) {
        if (!other.reports_.isEmpty()) {
          if (reports_.isEmpty()) {
            reports_ = other.reports_;
            bitField0_ = (bitField0_ & ~0x00000001);
          } else {
            ensureReportsIsMutable();
            reports_.addAll(other.reports_);
          }
          onChanged();
        }
      } else {
        if (!other.reports_.isEmpty()) {
          if (reportsBuilder_.isEmpty()) {
            reportsBuilder_.dispose();
            reportsBuilder_ = null;
            reports_ = other.reports_;
            bitField0_ = (bitField0_ & ~0x00000001);
            reportsBuilder_ = 
              com.google.protobuf.GeneratedMessage.alwaysUseFieldBuilders ?
                 getReportsFieldBuilder() : null;
          } else {
            reportsBuilder_.addAllMessages(other.reports_);
          }
        }
      }
      onChanged();
      return this;
    }

    public final boolean isInitialized() {
      return true;
    }

    public Builder mergeFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionRequestDto parsedMessage = null;
      try {
        parsedMessage = PARSER.parsePartialFrom(input, extensionRegistry);
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        parsedMessage = (com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionRequestDto) e.getUnfinishedMessage();
        throw e.unwrapIOException();
      } finally {
        if (parsedMessage != null) {
          mergeFrom(parsedMessage);
        }
      }
      return this;
    }
    private int bitField0_;

    private java.util.List<com.accelfin.server.messaging.dtos.AnyDto> reports_ =
      java.util.Collections.emptyList();
    private void ensureReportsIsMutable() {
      if (!((bitField0_ & 0x00000001) == 0x00000001)) {
        reports_ = new java.util.ArrayList<com.accelfin.server.messaging.dtos.AnyDto>(reports_);
        bitField0_ |= 0x00000001;
       }
    }

    private com.google.protobuf.RepeatedFieldBuilder<
        com.accelfin.server.messaging.dtos.AnyDto, com.accelfin.server.messaging.dtos.AnyDto.Builder, com.accelfin.server.messaging.dtos.AnyDtoOrBuilder> reportsBuilder_;

    /**
     * <pre>
     * we need to use AnyDto here as we've can't have an array of mixed types
     * </pre>
     *
     * <code>repeated .com.accelfin.server.messaging.dtos.AnyDto reports = 1;</code>
     */
    public java.util.List<com.accelfin.server.messaging.dtos.AnyDto> getReportsList() {
      if (reportsBuilder_ == null) {
        return java.util.Collections.unmodifiableList(reports_);
      } else {
        return reportsBuilder_.getMessageList();
      }
    }
    /**
     * <pre>
     * we need to use AnyDto here as we've can't have an array of mixed types
     * </pre>
     *
     * <code>repeated .com.accelfin.server.messaging.dtos.AnyDto reports = 1;</code>
     */
    public int getReportsCount() {
      if (reportsBuilder_ == null) {
        return reports_.size();
      } else {
        return reportsBuilder_.getCount();
      }
    }
    /**
     * <pre>
     * we need to use AnyDto here as we've can't have an array of mixed types
     * </pre>
     *
     * <code>repeated .com.accelfin.server.messaging.dtos.AnyDto reports = 1;</code>
     */
    public com.accelfin.server.messaging.dtos.AnyDto getReports(int index) {
      if (reportsBuilder_ == null) {
        return reports_.get(index);
      } else {
        return reportsBuilder_.getMessage(index);
      }
    }
    /**
     * <pre>
     * we need to use AnyDto here as we've can't have an array of mixed types
     * </pre>
     *
     * <code>repeated .com.accelfin.server.messaging.dtos.AnyDto reports = 1;</code>
     */
    public Builder setReports(
        int index, com.accelfin.server.messaging.dtos.AnyDto value) {
      if (reportsBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        ensureReportsIsMutable();
        reports_.set(index, value);
        onChanged();
      } else {
        reportsBuilder_.setMessage(index, value);
      }
      return this;
    }
    /**
     * <pre>
     * we need to use AnyDto here as we've can't have an array of mixed types
     * </pre>
     *
     * <code>repeated .com.accelfin.server.messaging.dtos.AnyDto reports = 1;</code>
     */
    public Builder setReports(
        int index, com.accelfin.server.messaging.dtos.AnyDto.Builder builderForValue) {
      if (reportsBuilder_ == null) {
        ensureReportsIsMutable();
        reports_.set(index, builderForValue.build());
        onChanged();
      } else {
        reportsBuilder_.setMessage(index, builderForValue.build());
      }
      return this;
    }
    /**
     * <pre>
     * we need to use AnyDto here as we've can't have an array of mixed types
     * </pre>
     *
     * <code>repeated .com.accelfin.server.messaging.dtos.AnyDto reports = 1;</code>
     */
    public Builder addReports(com.accelfin.server.messaging.dtos.AnyDto value) {
      if (reportsBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        ensureReportsIsMutable();
        reports_.add(value);
        onChanged();
      } else {
        reportsBuilder_.addMessage(value);
      }
      return this;
    }
    /**
     * <pre>
     * we need to use AnyDto here as we've can't have an array of mixed types
     * </pre>
     *
     * <code>repeated .com.accelfin.server.messaging.dtos.AnyDto reports = 1;</code>
     */
    public Builder addReports(
        int index, com.accelfin.server.messaging.dtos.AnyDto value) {
      if (reportsBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        ensureReportsIsMutable();
        reports_.add(index, value);
        onChanged();
      } else {
        reportsBuilder_.addMessage(index, value);
      }
      return this;
    }
    /**
     * <pre>
     * we need to use AnyDto here as we've can't have an array of mixed types
     * </pre>
     *
     * <code>repeated .com.accelfin.server.messaging.dtos.AnyDto reports = 1;</code>
     */
    public Builder addReports(
        com.accelfin.server.messaging.dtos.AnyDto.Builder builderForValue) {
      if (reportsBuilder_ == null) {
        ensureReportsIsMutable();
        reports_.add(builderForValue.build());
        onChanged();
      } else {
        reportsBuilder_.addMessage(builderForValue.build());
      }
      return this;
    }
    /**
     * <pre>
     * we need to use AnyDto here as we've can't have an array of mixed types
     * </pre>
     *
     * <code>repeated .com.accelfin.server.messaging.dtos.AnyDto reports = 1;</code>
     */
    public Builder addReports(
        int index, com.accelfin.server.messaging.dtos.AnyDto.Builder builderForValue) {
      if (reportsBuilder_ == null) {
        ensureReportsIsMutable();
        reports_.add(index, builderForValue.build());
        onChanged();
      } else {
        reportsBuilder_.addMessage(index, builderForValue.build());
      }
      return this;
    }
    /**
     * <pre>
     * we need to use AnyDto here as we've can't have an array of mixed types
     * </pre>
     *
     * <code>repeated .com.accelfin.server.messaging.dtos.AnyDto reports = 1;</code>
     */
    public Builder addAllReports(
        java.lang.Iterable<? extends com.accelfin.server.messaging.dtos.AnyDto> values) {
      if (reportsBuilder_ == null) {
        ensureReportsIsMutable();
        com.google.protobuf.AbstractMessageLite.Builder.addAll(
            values, reports_);
        onChanged();
      } else {
        reportsBuilder_.addAllMessages(values);
      }
      return this;
    }
    /**
     * <pre>
     * we need to use AnyDto here as we've can't have an array of mixed types
     * </pre>
     *
     * <code>repeated .com.accelfin.server.messaging.dtos.AnyDto reports = 1;</code>
     */
    public Builder clearReports() {
      if (reportsBuilder_ == null) {
        reports_ = java.util.Collections.emptyList();
        bitField0_ = (bitField0_ & ~0x00000001);
        onChanged();
      } else {
        reportsBuilder_.clear();
      }
      return this;
    }
    /**
     * <pre>
     * we need to use AnyDto here as we've can't have an array of mixed types
     * </pre>
     *
     * <code>repeated .com.accelfin.server.messaging.dtos.AnyDto reports = 1;</code>
     */
    public Builder removeReports(int index) {
      if (reportsBuilder_ == null) {
        ensureReportsIsMutable();
        reports_.remove(index);
        onChanged();
      } else {
        reportsBuilder_.remove(index);
      }
      return this;
    }
    /**
     * <pre>
     * we need to use AnyDto here as we've can't have an array of mixed types
     * </pre>
     *
     * <code>repeated .com.accelfin.server.messaging.dtos.AnyDto reports = 1;</code>
     */
    public com.accelfin.server.messaging.dtos.AnyDto.Builder getReportsBuilder(
        int index) {
      return getReportsFieldBuilder().getBuilder(index);
    }
    /**
     * <pre>
     * we need to use AnyDto here as we've can't have an array of mixed types
     * </pre>
     *
     * <code>repeated .com.accelfin.server.messaging.dtos.AnyDto reports = 1;</code>
     */
    public com.accelfin.server.messaging.dtos.AnyDtoOrBuilder getReportsOrBuilder(
        int index) {
      if (reportsBuilder_ == null) {
        return reports_.get(index);  } else {
        return reportsBuilder_.getMessageOrBuilder(index);
      }
    }
    /**
     * <pre>
     * we need to use AnyDto here as we've can't have an array of mixed types
     * </pre>
     *
     * <code>repeated .com.accelfin.server.messaging.dtos.AnyDto reports = 1;</code>
     */
    public java.util.List<? extends com.accelfin.server.messaging.dtos.AnyDtoOrBuilder> 
         getReportsOrBuilderList() {
      if (reportsBuilder_ != null) {
        return reportsBuilder_.getMessageOrBuilderList();
      } else {
        return java.util.Collections.unmodifiableList(reports_);
      }
    }
    /**
     * <pre>
     * we need to use AnyDto here as we've can't have an array of mixed types
     * </pre>
     *
     * <code>repeated .com.accelfin.server.messaging.dtos.AnyDto reports = 1;</code>
     */
    public com.accelfin.server.messaging.dtos.AnyDto.Builder addReportsBuilder() {
      return getReportsFieldBuilder().addBuilder(
          com.accelfin.server.messaging.dtos.AnyDto.getDefaultInstance());
    }
    /**
     * <pre>
     * we need to use AnyDto here as we've can't have an array of mixed types
     * </pre>
     *
     * <code>repeated .com.accelfin.server.messaging.dtos.AnyDto reports = 1;</code>
     */
    public com.accelfin.server.messaging.dtos.AnyDto.Builder addReportsBuilder(
        int index) {
      return getReportsFieldBuilder().addBuilder(
          index, com.accelfin.server.messaging.dtos.AnyDto.getDefaultInstance());
    }
    /**
     * <pre>
     * we need to use AnyDto here as we've can't have an array of mixed types
     * </pre>
     *
     * <code>repeated .com.accelfin.server.messaging.dtos.AnyDto reports = 1;</code>
     */
    public java.util.List<com.accelfin.server.messaging.dtos.AnyDto.Builder> 
         getReportsBuilderList() {
      return getReportsFieldBuilder().getBuilderList();
    }
    private com.google.protobuf.RepeatedFieldBuilder<
        com.accelfin.server.messaging.dtos.AnyDto, com.accelfin.server.messaging.dtos.AnyDto.Builder, com.accelfin.server.messaging.dtos.AnyDtoOrBuilder> 
        getReportsFieldBuilder() {
      if (reportsBuilder_ == null) {
        reportsBuilder_ = new com.google.protobuf.RepeatedFieldBuilder<
            com.accelfin.server.messaging.dtos.AnyDto, com.accelfin.server.messaging.dtos.AnyDto.Builder, com.accelfin.server.messaging.dtos.AnyDtoOrBuilder>(
                reports_,
                ((bitField0_ & 0x00000001) == 0x00000001),
                getParentForChildren(),
                isClean());
        reports_ = null;
      }
      return reportsBuilder_;
    }
    public final Builder setUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return this;
    }

    public final Builder mergeUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return this;
    }


    // @@protoc_insertion_point(builder_scope:com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionRequestDto)
  }

  // @@protoc_insertion_point(class_scope:com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionRequestDto)
  private static final com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionRequestDto DEFAULT_INSTANCE;
  static {
    DEFAULT_INSTANCE = new com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionRequestDto();
  }

  public static com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionRequestDto getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static final com.google.protobuf.Parser<UpdateReportSubscriptionRequestDto>
      PARSER = new com.google.protobuf.AbstractParser<UpdateReportSubscriptionRequestDto>() {
    public UpdateReportSubscriptionRequestDto parsePartialFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
        return new UpdateReportSubscriptionRequestDto(input, extensionRegistry);
    }
  };

  public static com.google.protobuf.Parser<UpdateReportSubscriptionRequestDto> parser() {
    return PARSER;
  }

  @java.lang.Override
  public com.google.protobuf.Parser<UpdateReportSubscriptionRequestDto> getParserForType() {
    return PARSER;
  }

  public com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionRequestDto getDefaultInstanceForType() {
    return DEFAULT_INSTANCE;
  }

}

